# xoxys.yum
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.yum/status.svg)](https://drone.rknet.org/ansible/xoxys.yum)


Setup yum cron and yum repositories

## Table of content

* [Default Variables](#default-variables)
  * [yum_cron_apply_updates](#yum_cron_apply_updates)
  * [yum_cron_custom_cronjob](#yum_cron_custom_cronjob)
  * [yum_cron_download_updates](#yum_cron_download_updates)
  * [yum_cron_email_from](#yum_cron_email_from)
  * [yum_cron_email_to](#yum_cron_email_to)
  * [yum_cron_emit_via](#yum_cron_emit_via)
  * [yum_cron_enabled](#yum_cron_enabled)
  * [yum_cron_random_sleep](#yum_cron_random_sleep)
  * [yum_deltarpm_percentage](#yum_deltarpm_percentage)
  * [yum_deltarpm_value](#yum_deltarpm_value)
  * [yum_packages_extra_install](#yum_packages_extra_install)
  * [yum_packages_install](#yum_packages_install)
  * [yum_packages_uninstall](#yum_packages_uninstall)
  * [yum_repofiles_remove](#yum_repofiles_remove)
  * [yum_repositories](#yum_repositories)
  * [yum_upgrade_enabled](#yum_upgrade_enabled)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### yum_cron_apply_updates

#### Default value

```YAML
yum_cron_apply_updates: no
```

### yum_cron_custom_cronjob

#### Default value

```YAML
yum_cron_custom_cronjob:
  enabled: false
  name: yum-cron
  minute: 0
  hour: 4
  day: '*'
  weekday: '*'
  month: '*'
```

### yum_cron_download_updates

#### Default value

```YAML
yum_cron_download_updates: yes
```

### yum_cron_email_from

#### Default value

```YAML
yum_cron_email_from: root@localhost
```

### yum_cron_email_to

#### Default value

```YAML
yum_cron_email_to: root
```

### yum_cron_emit_via

#### Default value

```YAML
yum_cron_emit_via: stdio
```

### yum_cron_enabled

#### Default value

```YAML
yum_cron_enabled: true
```

### yum_cron_random_sleep

#### Default value

```YAML
yum_cron_random_sleep: 360
```

### yum_deltarpm_percentage

#### Default value

```YAML
yum_deltarpm_percentage: 75
```

### yum_deltarpm_value

Configure deltarmp. To get it working you have to install `deltarpm` package first! Value set to `0` means disabled. A positive value defines the number of reconstruction made in parallel. A negative value asks yum to figure out how many cores are available and to multiply them by the given value to get the number of reconstruction to make in parallel.

#### Default value

```YAML
yum_deltarpm_value: 0
```

### yum_packages_extra_install

#### Default value

```YAML
yum_packages_extra_install: []
```

### yum_packages_install

#### Default value

```YAML
yum_packages_install: []
```

### yum_packages_uninstall

#### Default value

```YAML
yum_packages_uninstall: []
```

### yum_repofiles_remove

#### Default value

```YAML
yum_repofiles_remove: []
```

### yum_repositories

#### Default value

```YAML
yum_repositories: []
```

#### Example usage

```YAML
yum_repositories:
  - name: epel
    filename: Extra-EPEL
    desc: Extra Packages for Enterprise Linux (EPEL)
    baseurl: "http://download.fedoraproject.org/pub/epel/$releasever/$basearch/"
    gpgkey: "http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-$releasever/"
    enabled: True
```

### yum_upgrade_enabled

#### Default value

```YAML
yum_upgrade_enabled: false
```

## Dependencies

None.

## License

MIT

## Author

[xoxys](https://gitea.rknet.org/xoxys)
